Create or update multi-product user
This API endpoint enables you to either add a new user or update the details of an existing user within a specified organization and account.
- Add a user: A new user is created when the provided email does not match an existing user in the given organizationId and accountId.
- Update a user: An existing user is updated when the email matches a user already associated with the given organizationId and accountId.
Notes:
Duplicate emails are not allowed within the same organizationId and accountId. If multiple users with the same email exist, the request will fail with a 409 conflict error.
Required authentication scopes: user_write.
Next steps
Authentication
AuthorizationBearer
OAuth2 Access code Grant
Path parameters
organizationId
The organization ID.
accountId
The account ID GUID
Request
This endpoint expects an object: request
product_permission_profiles
A list of one or more products and their respective permissions.
email
The email address.
ds_groups
user_name
The full name of the user.
first_name
The user's first name.
last_name
The user's last name.
default_account_id
language_culture
The language and culture of the user.
- Chinese Simplified:
zh_CN - Chinese Traditional:
zh_TW - Dutch:
nl - English:
en - French:
fr - German:
de - Italian:
it - Japanese:
ja - Korean:
ko - Portuguese:
pt - Portuguese Brazil:
pt_BR - Russian:
ru - Spanish:
es
access_code
The access code that the user needs to activate an account.
federated_status
The user’s federated status. One of:
RemoveStatusFedAuthRequiredFedAuthBypassEvicted
auto_activate_memberships
When true, the user’s account is activated automatically.
license_type
The user’s assigned license type. Only available for IAM plans. Must be one of the following values:
Full - Enterprise: Full license type available for customers who purchase the IAM Enterprise plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Professional: Full license type available for customers who purchase the IAM Professional plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Standard: Full license type available for customers who purchase the IAM Standard plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - Sales: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes, Agreement Manager, and Workflow Builder.Full - CX: Full license type available for customers who purchase the IAM Sales plan; includes access to sending envelopes and Workflow Builder.Free: Free license type available for all IAM customers; includes access to viewing the user’s own agreements and signing.
Response
OK
id
site_id
user_name
The full name of the user.
first_name
The user's first name.
last_name
The user's last name.
email
The email address.
language_culture
The language and culture of the user.
- Chinese Simplified:
zh_CN - Chinese Traditional:
zh_TW - Dutch:
nl - English:
en - French:
fr - German:
de - Italian:
it - Japanese:
ja - Korean:
ko - Portuguese:
pt - Portuguese Brazil:
pt_BR - Russian:
ru - Spanish:
es
federated_status
The user’s federated status. One of:
RemoveStatusFedAuthRequiredFedAuthBypassEvicted
accounts